> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2025-10-27/api-reference/client-token-versions/list-all-client-token-versions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Client Token Versions GET https://api.withpersona.com/api/v1/client-token-versions Retrieves all versions of a Client Token. The secret value is not returned. Provide the Client Token ID in `filter[client-token-id]`, which you can copy from the Client Token in your Persona dashboard. Optionally provide `filter[status]` to return only active or disabled versions. Reference: https://docs.withpersona.com/api-reference/client-token-versions/list-all-client-token-versions ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (ClientTokenVersionsGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. - `filter` (ClientTokenVersionsGetParametersFilter, required) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Client Token Version objects. - `data` (list of client-token-version-list-item, required) — An array of Client Token Versions. - `links` (ClientTokenVersionsGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ClientTokenVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ClientTokenVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ClientTokenVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of ClientTokenVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ClientTokenVersionsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### ClientTokenVersionsGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### ClientTokenVersionsGetParametersFilter - `client-token-id` (string, required) — The Client Token ID to list versions for. - `status` (string, optional) — Return only versions with this status: `active` or `disabled`. ### client-token-version-list-item A Client Token Version resource in a collection response - `type` ("client-token-version", optional) - `id` (string, optional) - `attributes` (ClientTokenVersionListItemAttributes, optional) - `relationships` (ClientTokenVersionListItemRelationships, optional) ### ClientTokenVersionsGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) - `next` (string, required, nullable) ### ClientTokenVersionsGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### ClientTokenVersionListItemAttributes - `created-at` (datetime, optional) — When this client token version was created - `expires-at` (datetime, optional, nullable) — When this client token version expires - `status` (string, optional) — The lifecycle status of this client token version: `active` or `disabled`. ### ClientTokenVersionListItemRelationships - `client-token` (ClientTokenVersionListItemRelationshipsClientToken, optional) ### ClientTokenVersionListItemRelationshipsClientToken - `data` (ClientTokenVersionListItemRelationshipsClientTokenData, optional) ### ClientTokenVersionListItemRelationshipsClientTokenData - `type` ("client-token", optional) - `id` (string, optional) ## Examples **Response** ```json { "data": [ { "type": "client-token-version", "id": "ctkv_ABC123", "attributes": { "created-at": "2023-09-21T18:29:40.000Z", "expires-at": null, "status": "active" }, "relationships": { "client-token": { "data": { "type": "client-token", "id": "ctk_ABC123" } } } }, { "type": "client-token-version", "id": "ctkv_DEF456", "attributes": { "created-at": "2023-08-21T18:29:40.000Z", "expires-at": "2023-10-21T18:29:40.000Z", "status": "disabled" }, "relationships": { "client-token": { "data": { "type": "client-token", "id": "ctk_ABC123" } } } } ], "links": { "prev": null, "next": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/client-token-versions" querystring = {"filter":"{\"client-token-id\":\"ctk_ABC123\"}"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/client-token-versions?filter=%7B%22client-token-id%22%3A%22ctk_ABC123%22%7D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```